%define name xpp
%define version 0.6
%define release 16mdk

Summary: X Printing Panel
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Source: http://cups.sourceforge.net/xpp/%{name}-%{version}cvs.tar.bz2
# Icon for the Mandrake menu
Source1: xpp.png.bz2
Url: http://cups.sourceforge.net/xpp/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: cups
BuildRequires: cups-devel fltk-devel Mesa-common-devel libstdc++-devel

%description
The X Printing Panel (XPP) is a completely free tool for easy choosing of
the desired printer out of a list of all available printers and
for setting printer options by an easy-to-use graphical user interface.
One simply calls the program (xpp) instead of the usual utilities
(lpr or lp) at the command line or out of applications.

%prep
%setup

# Load menu icon
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/xpp.png

%build

export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti" ;
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 xpp.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/xpp
?package(xpp): needs=X11 \
section=Applications/Publishing \
title="X Printing Panel" \
command="/usr/bin/xpp" \
icon="/usr/share/icons/locolor/16x16/apps/xpp.png"
EOF

%post

##menu
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi

%postun

## menu
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
                /usr/bin/update-menus
        fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE ChangeLog
%{_bindir}/xpp
# menu entry
%{_datadir}/icons/locolor/16x16/apps/
%{_libdir}/menu

%changelog
* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6-16mdk
- added BuildRequires on: cups-devel fltk-devel Mesa-common-devel libstdc++-devel.

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-15mdk
- Updated URL to http://cups.sourceforge.net/xpp/

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-14mdk
- CVS Update: Now numerical options can also be read in PPD files with
  dossy line ends ("\n\r" instead of "\n").

* Sun Sep 24 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-13mdk
- CVS Update: Integer and floating point options of CUPS-O-MATIC PPDs are
  supported now.

* Sat Sep 23 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-12mdk
- CVS Update: "Authentication ..." line in login/password dialog is 
  also displayed with CUPS 1.1.3.

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-11mdk
- CVS Update: Main window is resizable now.

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-10mdk
- Removed hardcoded architecture-specific flags, used macros instead

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-9mdk
- Entry for Mandrake menu structure added

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-8mdk
- Clean-up of "./configure" call in specfile

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-7mdk
- Removed hardcoded "i586-mandrake-linux" from specfile

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-6mdk
- Deactivated positioning of the printer list to make default printer visible,
  a bug in FLTK messed up the display of the printer list.
- Optical enhancements of the printer list.

* Sun Aug 20 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-5mdk
- Updated to version 0.6: Full support for password-protected printers, more
  information in printer list, printing with or saving conflicting options
  is not possible any more.

* Wed Aug 16 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.5-4mdk
- Updated to version 0.5: Margin options for text file printing and options
  for HP-GL/2 printing, "Reverse" page orientations, window does not close
  when printing leads to an error

* Sun Aug 13 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-3mdk
- New CVS version: Now the widgets on the "Basic" tab of the options window
  are coupled to the appropriate PPD options, instance names are read, and
  types of destinations without PPD file are displayed.

* Thu Aug 10 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-2mdk
- Removed "fltk" from "Requires:" line.
- FLTK now linked statically into XPP -> Fast load and no widget lib needs
  to be installed.

* Wed Aug  9 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-1mdk
- Updated to version 0.4.
- Added "fltk" to "Requires:" line.

* Thu Jul  6 2000 Franois Pons <fpons@mandrakesoft.com> 0.2-0.1mdk
- patch for Makefile to link against optimized fltk.
- initial release.

